# Class DistanceJoint

java.lang.Object
com.codename1.gaming.physics.box2d.dynamics.joints.Joint
com.codename1.gaming.physics.box2d.dynamics.joints.DistanceJoint

public class DistanceJoint extends Joint
A distance joint constrains two points on two bodies to remain at a fixed distance from each other. You can view this as a massless, rigid rod.

- ## Field Summary

  ### Fields inherited from class Joint

  `m_bodyA, m_bodyB, m_edgeA, m_edgeB, m_islandFlag, m_next, m_prev, m_userData, pool`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `DistanceJoint(IWorldPool argWorld, DistanceJointDef def)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getAnchorA(Vec2 argOut)`
  get the anchor point on bodyA in world coordinates.
  `void`
  `getAnchorB(Vec2 argOut)`
  get the anchor point on bodyB in world coordinates.
  `float`
  `getDampingRatio()`
  `float`
  `getFrequency()`
  `float`
  `getLength()`
  `Vec2`
  `getLocalAnchorA()`
  `Vec2`
  `getLocalAnchorB()`
  `void`
  `getReactionForce(float inv_dt, Vec2 argOut)`
  Get the reaction force given the inverse time step.
  `float`
  `getReactionTorque(float inv_dt)`
  Get the reaction torque given the inverse time step.
  `void`
  `initVelocityConstraints(SolverData data)`
  `void`
  `setDampingRatio(float damp)`
  `void`
  `setFrequency(float hz)`
  `void`
  `setLength(float argLength)`
  `boolean`
  `solvePositionConstraints(SolverData data)`
  This returns true if the position errors are within tolerance.
  `void`
  `solveVelocityConstraints(SolverData data)`

  ### Methods inherited from class Joint

  `create, destroy, destructor, getBodyA, getBodyB, getCollideConnected, getNext, getType, getUserData, isActive, setUserData`

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DistanceJoint

    protected DistanceJoint(IWorldPool argWorld, DistanceJointDef def)

- ## Method Details

  - ### setFrequency

    public void setFrequency(float hz)

  - ### getFrequency

    public float getFrequency()

  - ### getLength

    public float getLength()

  - ### setLength

    public void setLength(float argLength)

  - ### setDampingRatio

    public void setDampingRatio(float damp)

  - ### getDampingRatio

    public float getDampingRatio()

  - ### getAnchorA

    public void getAnchorA(Vec2 argOut)
    Description copied from class: `Joint`
    get the anchor point on bodyA in world coordinates.
    Specified by:
      `getAnchorA` in class `Joint`

  - ### getAnchorB

    public void getAnchorB(Vec2 argOut)
    Description copied from class: `Joint`
    get the anchor point on bodyB in world coordinates.
    Specified by:
      `getAnchorB` in class `Joint`

  - ### getLocalAnchorA

    public Vec2 getLocalAnchorA()

  - ### getLocalAnchorB

    public Vec2 getLocalAnchorB()

  - ### getReactionForce

    public void getReactionForce(float inv_dt, Vec2 argOut)
    Get the reaction force given the inverse time step. Unit is N.
    Specified by:
      `getReactionForce` in class `Joint`
    Parameters:
      `inv_dt` -

  - ### getReactionTorque

    public float getReactionTorque(float inv_dt)
    Get the reaction torque given the inverse time step. Unit is N*m. This is always zero for a distance joint.
    Specified by:
      `getReactionTorque` in class `Joint`
    Parameters:
      `inv_dt` -
    Returns:

  - ### initVelocityConstraints

    public void initVelocityConstraints(SolverData data)
    Specified by:
      `initVelocityConstraints` in class `Joint`

  - ### solveVelocityConstraints

    public void solveVelocityConstraints(SolverData data)
    Specified by:
      `solveVelocityConstraints` in class `Joint`

  - ### solvePositionConstraints

    public boolean solvePositionConstraints(SolverData data)
    Description copied from class: `Joint`
    This returns true if the position errors are within tolerance.
    Specified by:
      `solvePositionConstraints` in class `Joint`
    Returns: